#include "Wire.h"//library
#include "Adafruit_GFX.h"//library
#include "Adafruit_SSD1306.h"//library

#define SCREEN_WIDTH 128 // OLED screen width in pixels
#define SCREEN_HEIGHT 32 // OLED screen height in pixels

// Pin definition for the I2C bus 
#define SDA_PIN 2
#define SCL_PIN 14

// Initialising the OLED screen
Adafruit_SSD1306 display(SCREEN_WIDTH, SCREEN_HEIGHT, &Wire, -1);

void setup() {
  // Initialising I2C communication
  Wire.begin(SDA_PIN, SCL_PIN);
  
  // Initialisation of the OLED screen with address 0x3C
  if (!display.begin(SSD1306_SWITCHCAPVCC, 0x3C)) {
    Serial.println(F("OLED screen not detected"));//if the screen is not detached
    while (true);
  }

  // Clearing the OLED screen
  display.clearDisplay();
  
  // Text display
  display.setTextSize(1);      // Font size 1
  display.setTextColor(SSD1306_WHITE); // White text colour
  display.setCursor(0, 0);     // Cursor position
  display.println("Hello, world!"); // Text to display
  display.display();           // Display update
}

void loop() {
  // Text display
  display.clearDisplay();// Clearing the OLED screen
  display.setTextSize(1);      // Font size 1
  display.setTextColor(SSD1306_WHITE); // White text colour
  display.setCursor(0, 0);     // Cursor position
  display.println("Hello, world!"); // Text to display
  display.display();           // Display update
}
